Page MenuHomeFreeBSD

New port: games/voxelands, a voxel sandbox game forked from minetest
ClosedPublic

Authored by jrm on Oct 29 2016, 6:46 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, May 17, 10:41 AM
Unknown Object (File)
Sat, May 11, 10:08 PM
Unknown Object (File)
Fri, Apr 26, 7:08 AM
Unknown Object (File)
Feb 12 2024, 2:00 AM
Unknown Object (File)
Feb 12 2024, 2:00 AM
Unknown Object (File)
Feb 12 2024, 2:00 AM
Unknown Object (File)
Feb 12 2024, 2:00 AM
Unknown Object (File)
Feb 12 2024, 2:00 AM
Subscribers

Details

Summary

New port: games/voxelands, a voxel sandbox game forked from minetest

Test Plan

portlint -AC: OK
testport: OK (poudriere: 9.3-RELEASE-p48, i386, default options)
testport: OK (poudriere: 9.3-RELEASE-p48, amd64, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, i386, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, amd64, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, i386, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, amd64, default options)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jrm retitled this revision from to New port: games/voxelands, a voxel sandbox game forked from minetest.
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: AMDmi3, swills.

Add subdir to games/Makefile

games/voxelands/Makefile
22–23 ↗(On Diff #21785)

Whenever I see CLIENT and SERVER as option, I wonder if there should not be two ports, one for the client, and one for the server.

Split into two ports, one for the client and one for the server.

Mmmm, ok, I think the client should be called voxelands, as it is the name of the binary.
Also, I think the server should be slave'd to the client one as they come from the same tarball.
Your original Makefile was great, all you needed to do was add to it:

OPTIONS_SLAVE?= CLIENT
OPTIONS_EXCLUDE?= SERVER

And create a voxelands-server port with only a Makefile with:

PKGNAMESUFFIX=-server
OPTIONS_SLAVE=SERVER
OPTIONS_EXCLUDE=CLIENT
MASTERDIR=${.CURDIR}../voxelands

.include ${MASTERDIR}/Makefile

Make games/voxelands-server a slave to games/voxelands

swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Nov 1 2016, 7:21 PM
This revision was automatically updated to reflect the committed changes.
jrm marked an inline comment as done.